# pg maintenance

Minimalist periodic maintenance script for PostgreSQL.


## Disclaimer and licensing

This software has been created for personal purposes and may therefore not suit your needs.
However, you may use it under the terms of the [MIT License][mit_license].


## Requirements

- Python 3
- psql / pg_dump
- rsync


## Actions

This runs [VACUUM][doc_vacuum] and [ANALYZE][doc_analyze] on a specified database.
If at least one recipient is specified, it also builds a reports and email it to said recipients.

To know more about routine vacuuming, please read [PostgreSQL's documentation][doc_why_vacuum].


## Basic usage

```
pg_maintenance.py --help
pg_maintenance.py "db_name" --destination "user@remote:/your/backup/path" --email-recipient "admin@exemple.org"
```


[mit_license]: https://opensource.org/license/mit
[doc_why_vacuum]: https://www.postgresql.org/docs/current/routine-vacuuming.html
[doc_vacuum]: https://www.postgresql.org/docs/current/sql-vacuum.html
[doc_analyze]: https://www.postgresql.org/docs/current/sql-analyze.html
